@echo off
rem $Id: Crane-isosts2pdf4ahf.bat,v 1.7 2015/07/11 03:39:21 admin Exp $
echo Invoking Antenna House Formatter "%~1"(.xml) with "%~2"(us/a4) to "%~3"(.pdf)
echo.
set xml-pdf-dir=%~dp0

if exist "%xml-pdf-dir%../jar/saxon9he/saxon9he.jar" goto :gotsaxon
echo Cannot find "%xml-pdf-dir%../jar/saxon9he/saxon9he.jar" version 9 (Home Edition) from: 
echo http://saxon.sourceforge.net/
goto :done
:gotsaxon

set xml-pdf-in=%~f1
if exist "%xml-pdf-in%" goto :readyin
echo Unable to open "%xml-pdf-in%"
goto :done
:readyin

set xml-pdf-out=%~f3
if not "a%~3" == "a" goto :gotout
echo Output file not specified for third argument
goto :done
:gotout

rem Get rid of any pre-existing target in case there is a production problem
:lupe1
if exist "%xml-pdf-out%" del "%xml-pdf-out%"
if not exist "%xml-pdf-out%" goto :readyout1
echo.
echo Unable to delete old PDF file "%xml-pdf-out%"
echo (perhaps open read-only in another window)
pause
goto :lupe1
:readyout1
:lupe2
if exist "%xml-pdf-in%.fo" del "%xml-pdf-in%.fo"
if not exist "%xml-pdf-in%.fo" goto :readyout2
echo.
echo Unable to delete old PDF file "%xml-pdf-in%fo"
echo (perhaps open read-only in another window)
pause
goto :lupe2
:readyout2

if "a%~2" == "aa4" goto :readyss
if "a%~2" == "aus" goto :readyss
echo Unrecognized page file format: %~2
goto :done
:readyss
rem Typically one would invoke the generic top stylesheet
set xml-pdf-ss=%xml-pdf-dir%../Crane-isosts2fo-%~2.xsl

:start
call "%xml-pdf-dir%../Crane-ISOSTS-validate.bat" "%xml-pdf-in%"
if %errorlevel% neq 0 goto :done

echo.
echo Transforming XML to XSL-FO using Saxon 9(HE)...
echo.
rem Initial invocation arguments are no longer needed 
shift
shift
shift
shift
echo java -jar "%xml-pdf-dir%../jar/saxon9he/saxon9he.jar" "-o:%xml-pdf-in%.fo" "-s:%xml-pdf-in%" "-xsl:%xml-pdf-ss%" %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
java 2>&1 -jar "%xml-pdf-dir%../jar/saxon9he/saxon9he.jar" "-o:%xml-pdf-in%.fo" "-s:%xml-pdf-in%" "-xsl:%xml-pdf-ss%" %0 %1 %2 %3 %4 %5 %6 %7 %8 %9
if %errorlevel% neq 0 goto :done
echo.
echo Transforming XML to PDF using Antenna Housee...
echo.
echo ahfcmd -d "%xml-pdf-in%.fo" -o "%xml-pdf-out%" -i "%xml-pdf-dir%ahf-config.xml"
call ahfcmd 2>&1 -d "%xml-pdf-in%.fo" -o "%xml-pdf-out%" -i "%xml-pdf-dir%ahf-config.xml"
set xml-pdf-in=
set xml-pdf-ss=
set xml-pdf-out=
if not exist "%~3" goto :done
echo.
echo Success!
goto :done

:done
