<?xml version="1.0" encoding="US-ASCII"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.CraneSoftwrights.com/ns/xslstyle"
                xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                exclude-result-prefixes="xsd xs"
                version="2.0">

<xsl:import href="../Crane-isosts2fo-a4.xsl"/>

<xs:doc info="$Id: Crane-isosts2fo-a4-ibex.xsl,v 1.5 2015/06/09 20:06:07 admin Exp $"
        filename="Crane-isosts2fo-a4-ibex.xsl" vocabulary="DocBook">
  <xs:title>XSL-FO stylesheet with Ibex-specific specializations</xs:title>
  <para>
    This includes the suite of graphic formats supported by Ibex.
  </para>
  <para>
    This module imports the obfuscated version of the XSL-FO stylesheets
    because it is part of the free package distribution.  When using the
    clear-text <literal>Crane-isosts2fo-a4.xsl</literal> version, that
    would be imported instead of the obfuscated version.
  </para>
</xs:doc>

<xs:param ignore-ns="yes">
  <para>
    Specify here image MIME content-type values supported for
    graphics using a white-space-separated list.
  </para>
</xs:param>
<xsl:param name="graphic-content-types" as="xsd:string" select="
  ( $Crane-ISOSTS-params/parameters/grahic-content-types,
' image/svg+xml image/tiff image/jpeg image/png image/gif
 application/x-bmp image/x-bmp ' )[1]"/>
  
<xs:variable ignore-ns="yes">
  <para>
    The page width
  </para>
</xs:variable>
<xsl:variable name="page-width" select="'210mm'"/>

<xs:variable ignore-ns="yes">
  <para>
    The page height
  </para>
</xs:variable>
<xsl:variable name="page-height" select="'297mm'"/>

</xsl:stylesheet>
