@echo off
rem $Id: Crane-isosts2pdf4ibex.bat,v 1.12 2015/07/11 03:40:42 admin Exp $
echo Invoking Ibex "%~1"(.xml) with "%~2"(us/a4) to "%~3"(.pdf)

if exist "%~dp0../jar/saxon9he/saxon9he.jar" goto :gotsaxon9he
echo Cannot find "%~dp0../jar/saxon/saxon9he.jar" version 9 (Home Edition) from: 
echo http://saxon.sourceforge.net/
goto :eof
:gotsaxon9he

set ibex-class=ibex.Run
set ibex-jar=ibex.jar
set ibex-manifest=
if exist "%~dp0../jar/ibex/%ibex-jar%" goto :gotibex
set ibex-class=ibex.Signed
set ibex-jar=ibex-crane-ss.jar
set ibex-manifest=-manifest "%~dp0Crane-isosts2fo-manifest.xml"
if exist "%~dp0../jar/ibex/%ibex-jar%" goto :gotibex
echo Cannot find either "%~dp0../jar/ibex/ibex.jar" from
echo http://www.xmlpdf.com/downloads-java.html or 
echo Cannot find either "%~dp0../jar/ibex/ibex-crane-ss.jar" from
echo http://www.xmlpdf.com/ibex-downloads-signed.html
goto :eof
:gotibex

set xml-pdf-in=%~f1
if exist "%xml-pdf-in%" goto :readyin
echo Unable to open "%xml-pdf-in%"
goto :eof
:readyin

set xml-pdf-out=%~f3
if not "a%~3" == "a" goto :gotout
echo Output file not specified for third argument
goto :eof
:gotout
:lupe
rem Get rid of any pre-existing target in case there is a production problem
if exist "%xml-pdf-out%" del "%xml-pdf-out%"
if not exist "%xml-pdf-out%" goto :readyout
echo.
echo Unable to delete "%xml-pdf-out%"
echo (Perhaps open in a reader somewhere?)
pause
goto :lupe
:readyout
if exist "%xml-pdf-out%" goto :eof

if "a%~2" == "aa4" goto :readyss
if "a%~2" == "aus" goto :readyss
echo Unrecognized page file format: %~2
goto :eof
:readyss
rem Typically one would invoke the generic top stylesheet
set xml-pdf-ss=%~dp0Crane-isosts2fo-%~2.xsl
rem But in this case the ibex fragment is the specialized top stylesheet
set xml-pdf-ss=%~dp0Crane-isosts2fo-%~2-ibex.xsl

:start
echo Validating the XML against the model constraints...
echo.
call "%~dp0../Crane-ISOSTS-validate.bat" "%xml-pdf-in%"
if %errorlevel% neq 0 goto :eof

echo.
echo Transforming XML to PDF using Ibex...
echo.

echo java -cp "%~dp0../jar/saxon9he/saxon9he.jar;%~dp0../jar/ibex/ibex.jar;%~dp0../jar/ibex/ibex-crane-ss.jar" -Djavax.xml.transform.TransformerFactory=net.sf.saxon.TransformerFactoryImpl "-Dibexconfig=%~dp0Crane-isosts-ibexconfig.xml" %ibex-class% -xml "%xml-pdf-in%" -xsl "%xml-pdf-ss%" %ibex-manifest% -pdf "%xml-pdf-out%"
java 2>&1 -cp "%~dp0../jar/saxon9he/saxon9he.jar;%~dp0../jar/ibex/ibex.jar;%~dp0../jar/ibex/ibex-crane-ss.jar" -Djavax.xml.transform.TransformerFactory=net.sf.saxon.TransformerFactoryImpl "-Dibexconfig=%~dp0Crane-isosts-ibexconfig-bat.xml" %ibex-class% -xml "%xml-pdf-in%" -xsl "%xml-pdf-ss%" %ibex-manifest% -pdf "%xml-pdf-out%"
set xml-pdf-in=
set xml-pdf-ss=
set xml-pdf-out=
if not exist "%~3" goto :eof
echo Done!
goto :eof


:eof
