@echo off
if not "a%~1" == "a" goto :retry

echo  This is a drag-and-drop-compatible batch file taking as input a single
echo  argument being an XML file to validate against ISOSTS constraints.  The
echo  validation results are placed in a text file in the same directory as
echo  the XML file, with the file extension ".validate.txt"
echo.
pause
goto :done

:retry
if exist ">%~1.validate.txt" del ">%~1.validate.txt"
if not exist ">%~1.validate.txt" goto :ready
echo.
echo Unable to delete old summary report "%~1.validate.txt"
echo (perhaps open read-only in another window)
pause
goto :retry
:ready

echo.
echo Invoking: "%~dp0../Crane-ISOSTS-validate.bat"
echo.
echo Errors to: "%~1.validate.txt"
echo (You may need to refresh the window to see the new file)
echo.
echo.
echo Working...
echo.
call "%~dp0../Crane-ISOSTS-validate.bat" "%~1" 2>&1 >"%~1.validate.txt"
if not %errorlevel% neq 0 goto :done

type "%~1.validate.txt"
echo.
echo The above errors are copied to: "%~1.validate.txt"

pause

:done